### Method

# Gimp ValueArray prepend

since: 2.10

#### Declaration [src]

    GimpValueArray*
    gimp_value_array_prepend (
      GimpValueArray* value_array,
      const GValue* value
    )

#### Description [src]

Insert a copy of `value` as first element of `value_array`. If `value` is `NULL`, an uninitialized value is prepended.

Available since: 2.10

#### Parameters

`value`

  Type: `GValue`

  `GValue` to copy into `GimpValueArray`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GimpValueArray`

The `GimpValueArray` passed in as `value_array`.

The returned data is owned by the instance.